Bug 247377 - this breaks wxPython based applications
Summary: this breaks wxPython based applications
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-wxPythonGTK2   
(Show other bugs)
Version: 7
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-08 10:31 UTC by Alfons Zitterbacke
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 18:50:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alfons Zitterbacke 2007-07-08 10:31:29 UTC
Description of problem:
I installed the package "wammu"  (python app) and it did not run, although all
dependencies (including wxPython) were installed. Python claimed that
"wx.lib.masked.timectrl" was missing.
After removing compat-wxPythonGTK2.i386 0:2.4.2.4-15.fc7 and reinstalling
wxPython, it worked fine.
So I guess this package breaks wxPython, doesn't it?

Version-Release number of selected component (if applicable):
compat-wxPythonGTK2.i386 0:2.4.2.4-15.fc7

How reproducible:
Install wammu from repos + compat-wxPythonGTK2. Then wammu will fail to start.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Python claims wx.lib.masked.timectrl is missing.

Expected results:
Python loading wx.lib.masked.timectrl .

Additional info:
This system was a fc6 which has been upgraded to an fc7, but all concerned
packages are fc7 anyway.

Comment 1 Tom "spot" Callaway 2007-10-29 18:50:22 UTC
Killed off these old compat-wxGTK/compat-wxPython packages due to this conflict
and the fact that nothing was actually using them.


Note You need to log in before you can comment on or make changes to this bug.